com.genesyslab.wfm7.API.service.config712

## Class CfgUser

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config712.CfgUser

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgUser
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private java.lang.String` | `gswFirstName`
    `private java.lang.String` | `gswLastName`
    `private int` | `gswUserId`
    `private long` | `timestamp`
    `private int` | `wmBuilderId`
    `private int` | `wmSecurityRoleId`
    `private int` | `wmTimezoneId`
    `private java.lang.String` | `wmUser`
    `private int[]` | `wmUserBU`
    `private int` | `wmUserBUNSizeIs`
    `private int[]` | `wmUserSites`
    `private int` | `wmUserSitesNSizeIs`
    `private int[]` | `wmUserSubsystems`
    `private int` | `wmUserSubsystemsNSizeIs`
    `private CfgUserTeam[]` | `wmUserTeams`
    `private int` | `wmUserTeamsNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgUser()`
    `CfgUser(int gswUserId, java.lang.String wmUser, int wmTimezoneId, int wmBuilderId, int wmSecurityRoleId, java.lang.String gswFirstName, java.lang.String gswLastName, int wmUserBUNSizeIs, int[] wmUserBU, int wmUserSitesNSizeIs, int[] wmUserSites, int wmUserTeamsNSizeIs, CfgUserTeam[] wmUserTeams, int wmUserSubsystemsNSizeIs, int[] wmUserSubsystems, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getGswFirstName()` Gets the gswFirstName value for this CfgUser.
    `java.lang.String` | `getGswLastName()` Gets the gswLastName value for this CfgUser.
    `int` | `getGswUserId()` Gets the gswUserId value for this CfgUser.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgUser.
    `int` | `getWmBuilderId()` Gets the wmBuilderId value for this CfgUser.
    `int` | `getWmSecurityRoleId()` Gets the wmSecurityRoleId value for this CfgUser.
    `int` | `getWmTimezoneId()` Gets the wmTimezoneId value for this CfgUser.
    `java.lang.String` | `getWmUser()` Gets the wmUser value for this CfgUser.
    `int[]` | `getWmUserBU()` Gets the wmUserBU value for this CfgUser.
    `int` | `getWmUserBUNSizeIs()` Gets the wmUserBUNSizeIs value for this CfgUser.
    `int[]` | `getWmUserSites()` Gets the wmUserSites value for this CfgUser.
    `int` | `getWmUserSitesNSizeIs()` Gets the wmUserSitesNSizeIs value for this CfgUser.
    `int[]` | `getWmUserSubsystems()` Gets the wmUserSubsystems value for this CfgUser.
    `int` | `getWmUserSubsystemsNSizeIs()` Gets the wmUserSubsystemsNSizeIs value for this CfgUser.
    `CfgUserTeam[]` | `getWmUserTeams()` Gets the wmUserTeams value for this CfgUser.
    `int` | `getWmUserTeamsNSizeIs()` Gets the wmUserTeamsNSizeIs value for this CfgUser.
    `int` | `hashCode()`
    `void` | `setGswFirstName(java.lang.String gswFirstName)` Sets the gswFirstName value for this CfgUser.
    `void` | `setGswLastName(java.lang.String gswLastName)` Sets the gswLastName value for this CfgUser.
    `void` | `setGswUserId(int gswUserId)` Sets the gswUserId value for this CfgUser.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgUser.
    `void` | `setWmBuilderId(int wmBuilderId)` Sets the wmBuilderId value for this CfgUser.
    `void` | `setWmSecurityRoleId(int wmSecurityRoleId)` Sets the wmSecurityRoleId value for this CfgUser.
    `void` | `setWmTimezoneId(int wmTimezoneId)` Sets the wmTimezoneId value for this CfgUser.
    `void` | `setWmUser(java.lang.String wmUser)` Sets the wmUser value for this CfgUser.
    `void` | `setWmUserBU(int[] wmUserBU)` Sets the wmUserBU value for this CfgUser.
    `void` | `setWmUserBUNSizeIs(int wmUserBUNSizeIs)` Sets the wmUserBUNSizeIs value for this CfgUser.
    `void` | `setWmUserSites(int[] wmUserSites)` Sets the wmUserSites value for this CfgUser.
    `void` | `setWmUserSitesNSizeIs(int wmUserSitesNSizeIs)` Sets the wmUserSitesNSizeIs value for this CfgUser.
    `void` | `setWmUserSubsystems(int[] wmUserSubsystems)` Sets the wmUserSubsystems value for this CfgUser.
    `void` | `setWmUserSubsystemsNSizeIs(int wmUserSubsystemsNSizeIs)` Sets the wmUserSubsystemsNSizeIs value for this CfgUser.
    `void` | `setWmUserTeams(CfgUserTeam[] wmUserTeams)` Sets the wmUserTeams value for this CfgUser.
    `void` | `setWmUserTeamsNSizeIs(int wmUserTeamsNSizeIs)` Sets the wmUserTeamsNSizeIs value for this CfgUser.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gswUserId

          private int gswUserId

    - #### wmUser

          private java.lang.String wmUser

    - #### wmTimezoneId

          private int wmTimezoneId

    - #### wmBuilderId

          private int wmBuilderId

    - #### wmSecurityRoleId

          private int wmSecurityRoleId

    - #### gswFirstName

          private java.lang.String gswFirstName

    - #### gswLastName

          private java.lang.String gswLastName

    - #### wmUserBUNSizeIs

          private int wmUserBUNSizeIs

    - #### wmUserBU

          private int[] wmUserBU

    - #### wmUserSitesNSizeIs

          private int wmUserSitesNSizeIs

    - #### wmUserSites

          private int[] wmUserSites

    - #### wmUserTeamsNSizeIs

          private int wmUserTeamsNSizeIs

    - #### wmUserTeams

          private CfgUserTeam[] wmUserTeams

    - #### wmUserSubsystemsNSizeIs

          private int wmUserSubsystemsNSizeIs

    - #### wmUserSubsystems

          private int[] wmUserSubsystems

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgUser

          public CfgUser()

    - #### CfgUser

          public CfgUser(int gswUserId,
                 java.lang.String wmUser,
                 int wmTimezoneId,
                 int wmBuilderId,
                 int wmSecurityRoleId,
                 java.lang.String gswFirstName,
                 java.lang.String gswLastName,
                 int wmUserBUNSizeIs,
                 int[] wmUserBU,
                 int wmUserSitesNSizeIs,
                 int[] wmUserSites,
                 int wmUserTeamsNSizeIs,
                 CfgUserTeam[] wmUserTeams,
                 int wmUserSubsystemsNSizeIs,
                 int[] wmUserSubsystems,
                 long timestamp)

  - ### Method Detail

    - #### getGswUserId

          public int getGswUserId()

      Gets the gswUserId value for this CfgUser.
      Returns:
        gswUserId

    - #### setGswUserId

          public void setGswUserId(int gswUserId)

      Sets the gswUserId value for this CfgUser.
      Parameters:
        `gswUserId` -

    - #### getWmUser

          public java.lang.String getWmUser()

      Gets the wmUser value for this CfgUser.
      Returns:
        wmUser

    - #### setWmUser

          public void setWmUser(java.lang.String wmUser)

      Sets the wmUser value for this CfgUser.
      Parameters:
        `wmUser` -

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the wmTimezoneId value for this CfgUser.
      Returns:
        wmTimezoneId

    - #### setWmTimezoneId

          public void setWmTimezoneId(int wmTimezoneId)

      Sets the wmTimezoneId value for this CfgUser.
      Parameters:
        `wmTimezoneId` -

    - #### getWmBuilderId

          public int getWmBuilderId()

      Gets the wmBuilderId value for this CfgUser.
      Returns:
        wmBuilderId

    - #### setWmBuilderId

          public void setWmBuilderId(int wmBuilderId)

      Sets the wmBuilderId value for this CfgUser.
      Parameters:
        `wmBuilderId` -

    - #### getWmSecurityRoleId

          public int getWmSecurityRoleId()

      Gets the wmSecurityRoleId value for this CfgUser.
      Returns:
        wmSecurityRoleId

    - #### setWmSecurityRoleId

          public void setWmSecurityRoleId(int wmSecurityRoleId)

      Sets the wmSecurityRoleId value for this CfgUser.
      Parameters:
        `wmSecurityRoleId` -

    - #### getGswFirstName

          public java.lang.String getGswFirstName()

      Gets the gswFirstName value for this CfgUser.
      Returns:
        gswFirstName

    - #### setGswFirstName

          public void setGswFirstName(java.lang.String gswFirstName)

      Sets the gswFirstName value for this CfgUser.
      Parameters:
        `gswFirstName` -

    - #### getGswLastName

          public java.lang.String getGswLastName()

      Gets the gswLastName value for this CfgUser.
      Returns:
        gswLastName

    - #### setGswLastName

          public void setGswLastName(java.lang.String gswLastName)

      Sets the gswLastName value for this CfgUser.
      Parameters:
        `gswLastName` -

    - #### getWmUserBUNSizeIs

          public int getWmUserBUNSizeIs()

      Gets the wmUserBUNSizeIs value for this CfgUser.
      Returns:
        wmUserBUNSizeIs

    - #### setWmUserBUNSizeIs

          public void setWmUserBUNSizeIs(int wmUserBUNSizeIs)

      Sets the wmUserBUNSizeIs value for this CfgUser.
      Parameters:
        `wmUserBUNSizeIs` -

    - #### getWmUserBU

          public int[] getWmUserBU()

      Gets the wmUserBU value for this CfgUser.
      Returns:
        wmUserBU

    - #### setWmUserBU

          public void setWmUserBU(int[] wmUserBU)

      Sets the wmUserBU value for this CfgUser.
      Parameters:
        `wmUserBU` -

    - #### getWmUserSitesNSizeIs

          public int getWmUserSitesNSizeIs()

      Gets the wmUserSitesNSizeIs value for this CfgUser.
      Returns:
        wmUserSitesNSizeIs

    - #### setWmUserSitesNSizeIs

          public void setWmUserSitesNSizeIs(int wmUserSitesNSizeIs)

      Sets the wmUserSitesNSizeIs value for this CfgUser.
      Parameters:
        `wmUserSitesNSizeIs` -

    - #### getWmUserSites

          public int[] getWmUserSites()

      Gets the wmUserSites value for this CfgUser.
      Returns:
        wmUserSites

    - #### setWmUserSites

          public void setWmUserSites(int[] wmUserSites)

      Sets the wmUserSites value for this CfgUser.
      Parameters:
        `wmUserSites` -

    - #### getWmUserTeamsNSizeIs

          public int getWmUserTeamsNSizeIs()

      Gets the wmUserTeamsNSizeIs value for this CfgUser.
      Returns:
        wmUserTeamsNSizeIs

    - #### setWmUserTeamsNSizeIs

          public void setWmUserTeamsNSizeIs(int wmUserTeamsNSizeIs)

      Sets the wmUserTeamsNSizeIs value for this CfgUser.
      Parameters:
        `wmUserTeamsNSizeIs` -

    - #### getWmUserTeams

          public CfgUserTeam[] getWmUserTeams()

      Gets the wmUserTeams value for this CfgUser.
      Returns:
        wmUserTeams

    - #### setWmUserTeams

          public void setWmUserTeams(CfgUserTeam[] wmUserTeams)

      Sets the wmUserTeams value for this CfgUser.
      Parameters:
        `wmUserTeams` -

    - #### getWmUserSubsystemsNSizeIs

          public int getWmUserSubsystemsNSizeIs()

      Gets the wmUserSubsystemsNSizeIs value for this CfgUser.
      Returns:
        wmUserSubsystemsNSizeIs

    - #### setWmUserSubsystemsNSizeIs

          public void setWmUserSubsystemsNSizeIs(int wmUserSubsystemsNSizeIs)

      Sets the wmUserSubsystemsNSizeIs value for this CfgUser.
      Parameters:
        `wmUserSubsystemsNSizeIs` -

    - #### getWmUserSubsystems

          public int[] getWmUserSubsystems()

      Gets the wmUserSubsystems value for this CfgUser.
      Returns:
        wmUserSubsystems

    - #### setWmUserSubsystems

          public void setWmUserSubsystems(int[] wmUserSubsystems)

      Sets the wmUserSubsystems value for this CfgUser.
      Parameters:
        `wmUserSubsystems` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgUser.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgUser.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.